Bug 1965 - Error "Failure [INSTALL_FAILED_OLDER_SDK]" occurs in Deploy to device tab when user run the application on API 10 at Debug/Release mode.
Summary: Error "Failure [INSTALL_FAILED_OLDER_SDK]" occurs in Deploy to device tab whe...
Status: CLOSED INVALID
Alias: None
Product: Android
Classification: Xamarin
Component: Mono runtime / AOT Compiler ()
Version: 1.9.2
Hardware: PC Windows
: --- major
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2011-11-09 06:48 UTC by narayanp
Modified: 2011-12-22 10:31 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
CLOSED INVALID

Description narayanp 2011-11-09 06:48:38 UTC
Step to Reproduce:

1. Launch MonoDevelop.
2. Click on "Open the existing Solution" link.
3. Browse the "HoneyCombGallery" application.
4. Build the application and select "Debug/Release" option under Active
Configuration.
5. Click on Run from the top menu bar and select API 10 from select device
window.

Actual Result:
Error "Failure [INSTALL_FAILED_OLDER_SDK]" occurs in Deploy to device tab when user run the application on API 10 at Debug/Release mode.

Expected Result:
Error should not occur in running the application and application should deploy
on the emulator successfully.

Environment:
MonoForAndroid 1.9.2
MonoDevelop 2.8.2
Comment 1 narayanp 2011-11-09 06:56:48 UTC
Error "Error: Could not access the Package Manager.  Is the system running?" occurs when user run the application on API 14 at Release mode.
Comment 2 narayanp 2011-11-09 07:09:42 UTC
Error "Failure [INSTALL_FAILED_OLDER_SDK]" occurs when user run the application on API 7 at Debug/Release mode.
Comment 3 narayanp 2011-11-09 08:59:15 UTC
Error "Failure [INSTALL_FAILED_OLDER_SDK]" occurs when application run on physical device.
Comment 4 Jonathan Pryor 2011-11-09 20:38:04 UTC
HoneycombGallery is a Honeycomb test app, and requires Android v3.0+ (API level 11, 12, or 13).

You could create an emulator...but you'd need to be really patient. (The already slow emulator is even slower with Honeycomb.)

You'll probably need/want to run this on an actual hardware device such as a Motorola Xoom, Samsung Tablet 10.1, etc.
Comment 5 narayanp 2011-11-10 08:43:35 UTC
On MAC System:

API 10: (Debug/Release):Error occurs stated "Failure [INSTALL_FAILED_OLDER_SDK]" when we run the app in Debug/Release mode.

API 7: (Debug/Release):  Error occurs stated "Failure [INSTALL_FAILED_OLDER_SDK]" when we run the app in Debug/Release mode.

Physical Device: Error occurs stated "Failure [INSTALL_FAILED_OLDER_SDK]" when we run the app in Debug/Release mode.
Comment 6 Atin 2011-11-11 10:14:19 UTC
We have run the application on Mono For Android 3+ API level 14 and got the below error;
 
/Users/nichal/Desktop/xamarin-monodroid-samples-930d594/HoneycombGallery/HoneycombGallery/ContentFragment.cs(38,38): Error CS0070: The event `Android.Views.View.Drag' can only appear on the left hand side of += or -= when used outside of the type `Android.Views.View' (CS0070)

Environment:
Mac 10.7
Mono Develop 3.0 Beta-1 (2.9)
Mono For Android 1.9.3
Comment 7 narayanp 2011-11-14 04:27:36 UTC
On Windows 7:

MonoDevelop 3.0 Beta1
MonoForAndroid 1.9.3

API 10: (Debug/Release):Error occurs stated "Failure
[INSTALL_FAILED_OLDER_SDK]" when we run the app in Debug/Release mode.

API 7: (Debug/Release):  Error occurs stated "Failure
[INSTALL_FAILED_OLDER_SDK]" when we run the app in Debug/Release mode.

API 14: I/monodroid-gc(  468): environment supports jni NewWeakGlobalRef

I/MonoDroid(  468): UNHANDLED EXCEPTION: System.NullReferenceException: Object reference not set to an instance of an object

I/MonoDroid(  468): at Android.Runtime.TypeManager.CreateProxy (System.Type,intptr,Android.Runtime.JniHandleOwnership) <0x0008c>

I/MonoDroid(  468): at Android.Runtime.TypeManager.CreateInstance (intptr,Android.Runtime.JniHandleOwnership,System.Type) <0x00367>

I/MonoDroid(  468): at Java.Lang.Object.GetObject (intptr,Android.Runtime.JniHandleOwnership,System.Type) <0x00257>

I/MonoDroid(  468): at Java.Lang.Object._GetObject<Android.App.ActionBar/Tab> (intptr,Android.Runtime.JniHandleOwnership) <0x0004f>

I/MonoDroid(  468): at Java.Lang.Object.GetObject<Android.App.ActionBar/Tab> (intptr,Android.Runtime.JniHandleOwnership) <0x0002b>

I/MonoDroid(  468): at Android.App.ActionBarInvoker.NewTab () <0x00097>

I/MonoDroid(  468): at com.example.monodroid.hcgallery.MainActivity.OnCreate (Android.OS.Bundle) <0x000eb>

I/MonoDroid(  468): at Android.App.Activity.n_OnCreate_Landroid_os_Bundle_ (intptr,intptr,intptr) <0x00057>

I/MonoDroid(  468): at (wrapper dynamic-method) object.a950509c-6ec5-4111-aff2-4ed202e797ed (intptr,intptr,intptr) <0x00033>

E/mono    (  468): 

E/mono    (  468): Unhandled Exception: System.NullReferenceException: Object reference not set to an instance of an object

E/mono    (  468):   at Android.Runtime.TypeManager.CreateProxy (System.Type type, IntPtr handle, JniHandleOwnership transfer) [0x00000] in <filename unknown>:0 

E/mono    (  468):   at Android.Runtime.TypeManager.CreateInstance (IntPtr handle, JniHandleOwnership transfer, System.Type targetType) [0x00000] in <filename unknown>:0 

E/mono    (  468):   at Java.Lang.Object.GetObject (IntPtr handle, JniHandleOwnership transfer, System.Type type) [0x00000] in <filename unknown>:0 

E/mono    (  468):   at Java.Lang.Object._GetObject[Tab] (IntPtr handle, JniHandleOwnership transfer) [0x00000] in <filename unknown>:0 

E/mono    (  468):   at Java.Lang.Object.GetObject[Tab] (IntPtr handle, JniHandleOwnership transfer) [0x00000] in <filename unknown>:0 

E/mono    (  468):   at Android.App.ActionBarInvoker.NewTab () [0x00000] in <filename unknown>:0 

E/mono    (  468):   at com.example.monodroid.hcgallery.MainActivity.OnCreate (Android.OS.Bundle savedInstanceState) [0x00000] in <filename unknown>:0 

E/mono    (  468):   at Android.App.Activity.n_OnCreate_Landroid




Physical Device: Error occurs stated "Failure [INSTALL_FAILED_OLDER_SDK]" when
we run the app in Debug/Release mode
Comment 8 Jatin 2011-12-22 10:30:15 UTC
This application runs fine on API-14.

However, on API-7 and API-10, it gives the error "Failure [INSTALL_FAILED_OLDER_SDK]". So as per the resolution provided in the bug id: 1929, when we set the Target Framework dropdown to Mono for Android 2.1 and then build the application, error appears.
Below is the ID of the bug logged for the same.
Bug 2209 -Error appears when build the application after setting Target Framework dropdown to Mono for Android 2.1 for the application Contact Manager.

Also on API-14, when launch the application, overlapping occurs.
Below is the ID of the bug logged for the same:
Bug 2225 -When launch the application on API-14, overlapping occurs.

Hence, closing this issue.